.button {
    &--ghost {
        background: none !important;
        border: none !important;
    }

    &--ghost-disabled {
        color: var(--eui-base-color-grey-75) !important;
    }

    &--ghost:active {
        background-color: var(--eui-base-color-primary-5) !important;
        border: 2px solid var(--eui-base-color-accent-100) !important;
    }

    &--ghost:hover {
        background-color: var(--eui-base-color-primary-5) !important;
    }

    &-dark-bg {
        &--primary {
            background-color: var(--eui-base-color-white) !important;
            color: var(--eui-c-branding) !important;
        }

        &--primary-disabled {
            background-color: var(--eui-c-branding) !important;
            color: var(--eui-base-color-grey-75) !important;
            border: 2px solid var(--eui-base-color-white) !important;
        }

        &--primary:active {
            background-color: var(--eui-base-color-primary-5) !important;
            border: 2px solid var(--eui-base-color-accent-100) !important;
        }

        &--primary:hover {
            background-color: var(--eui-base-color-primary-5) !important;
        }

        &--secondary {
            background-color: var(--eui-c-branding) !important;
            color: var(--eui-base-color-white) !important;
        }

        &--secondary-disabled {
            background-color: var(--eui-base-color-grey-10) !important;
            color: var(--eui-base-color-grey-75) !important;
            border: 1px solid var(--eui-base-color-grey-50) !important;
        }

        &--secondary:active {
            background-color: var(--eui-base-color-primary-110) !important;
            border: 2px solid var(--eui-base-color-accent-100) !important;
        }

        &--secondary:hover {
            background-color: var(--eui-base-color-primary-110) !important;
        }

        &--accent {
            background-color: var(--eui-base-color-accent-100) !important;
            color: var(--eui-base-color-black) !important;
        }

        &--accent-disabled {
            background-color: var(--eui-base-color-grey-10) !important;
            color: var(--eui-base-color-grey-75) !important;
            border: 1px solid var(--eui-base-color-grey-50) !important;
        }

        &--accent:active {
            background-color: var(--eui-base-color-accent-110) !important;
            border: 2px solid var(--eui-base-color-black) !important;
        }

        &--accent:hover {
            background-color: var(--eui-base-color-accent-110) !important;
        }
    }
}

.eui-button--basic {
    font-weight: 700;
}
